import { Injectable } from '@nestjs/common';
import { EntityManager, EntityRepository } from '@mikro-orm/postgresql';
import { User } from '../entities/user.entity';

@Injectable()
export class UserRepository extends EntityRepository<User> {
  constructor(readonly em: EntityManager) {
    super(em, User);
  }
}
